
QGIS Application - Bug report #10866

Drop down menus in "Save vector file as" function appear to have incorrect selections

2014-07-10 11:43 AM - Charles Brooks

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 19234

Description

When exporting layer data using the "save file as" function, the GEOMETRY drop down does not contain "AS_WKT" but contains "CLRF"

Conversely, the LINEFORMAT drop down contains "AS_WKT" but does not contain "CLRF"

From the Help/about:

QGIS version    2.2.0-Valmiera    QGIS code revision    c3a2817

Compiled against Qt    4.8.5    Running against Qt    4.8.5

Compiled against GDAL/OGR    1.10.1    Running against GDAL/OGR    1.10.1

Compiled against GEOS    3.4.2-CAPI-1.8.2    Running against GEOS    3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version    9.2.4    SpatiaLite Version    4.1.1

QWT Version    5.2.3    PROJ.4 Version    480

QScintilla2 Version    2.7.2

History

#1 - 2014-07-10 11:46 AM - Charles Brooks

Just verified, the menus in questions are indeed different in version 2.4 and allow the expected behavior.

#2 - 2014-07-11 01:48 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

#3 - 2014-07-11 04:10 AM - Charles Brooks

Greetings Giovanni, I am unfamiliar with the bug tracking process. Did I submit this bug incorrectly?

#4 - 2014-07-11 04:18 AM - Giovanni Manghi

Charles Brooks wrote:

Greetings Giovanni, I am unfamiliar with the bug tracking process. Did I submit this bug incorrectly?

no, but you also said that in qgis 2.4 there is no such issue, right? Thanks!
#5 - 2014-07-11 04:38 AM - Charles Brooks

Ah ok, thank you. I didn't realize 2.2 was no longer supported. We haven't upgraded to version 2.4 yet, I just downloaded it to see if the same problem still

existed. Not sure if upgrading is even under consideration actually.
